//
//  AliyunPipTrackController.h
//  AliyunVideoSDKPro
//
//  Created by coder.pi on 2021/8/12.
//  Copyright © 2021 aliyun. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "AliyunPipClipController.h"

/**
 API_AVAILABLE(3.25.0)
 画中画轨道控制器
 */
@interface AliyunPipTrackController : NSObject
/**
 API_AVAILABLE(3.25.0)
 轨道索引
 */
@property (nonatomic, assign, readonly) int index;
/**
 API_AVAILABLE(3.25.0)
 轨道开始时间
 */
@property (nonatomic, assign, readonly) NSTimeInterval startTime;
/**
 API_AVAILABLE(3.25.0)
 轨道结束时间
 */
@property (nonatomic, assign, readonly) NSTimeInterval endTime;
/**
 API_AVAILABLE(3.25.0)
 轨道下的所有片段控制器
 */
@property (nonatomic, copy, readonly) NSArray<AliyunPipClipController *> *clipControllers;
@end
